--
-- newParticleType
--
-- Author:  nilBrain
-- Date:    22.11.2020
-- Node:	Rigister a new Particle Type

local modDir = g_currentModDirectory;
local loadMapData = function(self)
    local modDesc = loadXMLFile("tempModXml", modDir .. "modDesc.xml");
    local count = 0;
    if modDesc ~= nil and modDesc ~= 0 then
		while true do
			local key = string.format("modDesc.particleTypes.particleType(%d)", count);
			if not hasXMLProperty(modDesc, key) then
				break;
			end;
			local name = getXMLString(modDesc, key.."#name");
			if name ~= "" then
				self:addParticleType(name);
			end;	
			count = count + 1;
		end;
	end;
end;

ParticleSystemManager.loadMapData = Utils.prependedFunction(ParticleSystemManager.loadMapData, loadMapData);
